
Application: gvSIG desktop - gvSIG bugs #4519
No se visualizan las capas de fondo de NASA World Wind
06/28/2017 09:45 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Lluís Marqués
Category: 3D
Target version: 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2827 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Aparece todo en negro sin cargar las capas de fondo que ofrece NWW

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4518: No se visualizan c... Closed 06/28/2017

Associated revisions
Revision 731 - 06/29/2017 05:32 PM - Lluís Marqués

Change capabilities url, map url and layer name to new NASA WMS url. refs #4519

History
#1 - 06/28/2017 09:45 AM - Álvaro Anguix
- Related to gvSIG bugs #4518: No se visualizan capas en Vista 3D added

#2 - 06/28/2017 11:11 AM - Joaquín  del Cerro Murciano
- Priority changed from High to Urgent

#3 - 06/29/2017 04:14 PM - Lluís Marqués
- Status changed from New to In progress

#4 - 06/29/2017 05:44 PM - Lluís Marqués
- Status changed from In progress to Fixed

Al abrir una vista 3D y moverse por zonas no cacheadas saltaba la siguiente excepción:

GRAVE: Exception while retrieving resources for
https://worldwind25.arc.nasa.gov/wms?EXCEPTIONS=application/vnd.ogc.se_xml&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.3.0
java.net.UnknownHostException: worldwind25
1.3.0
java.net.UnknownHostException: worldwind25.arc.nasa.gov
    at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:184)
    at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)
    at java.net.Socket.connect(Socket.java:589)
    at sun.security.ssl.SSLSocketImpl.connect(SSLSocketImpl.java:668)
    at sun.net.NetworkClient.doConnect(NetworkClient.java:175)
    at sun.net.www.http.HttpClient.openServer(HttpClient.java:463)
    at sun.net.www.http.HttpClient.openServer(HttpClient.java:558)
    at sun.net.www.protocol.https.HttpsClient.<init>(HttpsClient.java:264)
    at sun.net.www.protocol.https.HttpsClient.New(HttpsClient.java:367)
    at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.getNewHttpClient(AbstractDelegateHttpsURLConnection.java:191)
    at sun.net.www.protocol.http.HttpURLConnection.plainConnect0(HttpURLConnection.java:1138)
    at sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:1032)
    at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:177)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1546)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)
    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)
    at sun.net.www.protocol.https.HttpsURLConnectionImpl.getResponseCode(HttpsURLConnectionImpl.java:338)
    at gov.nasa.worldwind.retrieve.HTTPRetriever.doRead(HTTPRetriever.java:48)
    at gov.nasa.worldwind.retrieve.URLRetriever.read(URLRetriever.java:368)
    at gov.nasa.worldwind.retrieve.URLRetriever.call(URLRetriever.java:244)
    at gov.nasa.worldwind.retrieve.URLRetriever.call(URLRetriever.java:27)
    at gov.nasa.worldwind.util.SessionCacheUtils.retrieveSessionData(SessionCacheUtils.java:80)
    at gov.nasa.worldwind.util.SessionCacheUtils.getOrRetrieveSessionCapabilities(SessionCacheUtils.java:170)
    at gov.nasa.worldwind.layers.BasicTiledImageLayer.retrieveResources(BasicTiledImageLayer.java:723)
    at gov.nasa.worldwind.layers.BasicTiledImageLayer$2.run(BasicTiledImageLayer.java:811)
    at java.lang.Thread.run(Thread.java:748)

Extraño error ya que si se pone esa misma petición en un navegador si hay respuesta... Buscando he llegado a esta respuesta en stackoverflow:
https://stackoverflow.com/questions/40177444/world-wind-java-fails-to-retrieve-wms-resources

El cual recomienda el uso de la dirección https://data.worldwind.arc.nasa.gov en vez de a la de un servidor del cluster en concreto. He cambiado la url
en la propiedades del plugin y funciona.

#5 - 06/30/2017 01:37 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2828

#6 - 07/13/2017 02:19 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2828 to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#7 - 07/14/2017 10:24 AM - Álvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)

#8 - 08/08/2017 10:19 AM - Álvaro Anguix
- Status changed from Fixed to Closed
